GDBserver

Public Attributes | List of all members
aarch64_insn_relocation_data Struct Reference

## Public Attributes
struct aarch64_insn_data | base
CORE_ADDR | new_addr
uint32_t * | insn_ptr

## Detailed Description

Definition at line 1545 of file linux-aarch64-low.c.

## Member Data Documentation

## ◆ base

struct aarch64_insn_data aarch64_insn_relocation_data::base

Definition at line 1547 of file linux-aarch64-low.c.

Referenced by aarch64_ftrace_insn_reloc_b(), aarch64_ftrace_insn_reloc_b_cond(), aarch64_ftrace_insn_reloc_cb(), aarch64_ftrace_insn_reloc_tb(), and aarch64_install_fast_tracepoint_jump_pad().

## ◆ insn_ptr

uint32_t* aarch64_insn_relocation_data::insn_ptr

Definition at line 1552 of file linux-aarch64-low.c.

Referenced by aarch64_ftrace_insn_reloc_adr(), aarch64_ftrace_insn_reloc_b(), aarch64_ftrace_insn_reloc_b_cond(), aarch64_ftrace_insn_reloc_cb(), aarch64_ftrace_insn_reloc_ldr_literal(), aarch64_ftrace_insn_reloc_others(), aarch64_ftrace_insn_reloc_tb(), and aarch64_install_fast_tracepoint_jump_pad().

## ◆ new_addr

CORE_ADDR aarch64_insn_relocation_data::new_addr

Definition at line 1550 of file linux-aarch64-low.c.

Referenced by aarch64_ftrace_insn_reloc_b(), aarch64_ftrace_insn_reloc_b_cond(), aarch64_ftrace_insn_reloc_cb(), aarch64_ftrace_insn_reloc_tb(), and aarch64_install_fast_tracepoint_jump_pad().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/linux-aarch64-low.c